Loading...
Searching...
No Matches
etl::ratio< Num, Den > Struct Template Reference

ratio More...

`#include <ratio.h>`

## Public Types

typedef etl::ratio< num, den > | type

## Public Member Functions

| ETL_STATIC_ASSERT (Num !=0, "Numerator cannot be zero")
| ETL_STATIC_ASSERT (Den !=0, "Denominator cannot be zero")

## Static Public Attributes

static ETL_CONSTANT intmax_t | num = Num / etl::gcd_const<Num, Den>::value
static ETL_CONSTANT intmax_t | den = Den / etl::gcd_const<Num, Den>::value

## Detailed Description

template<intmax_t Num, intmax_t Den = 1UL>
struct etl::ratio< Num, Den >

ratio

The documentation for this struct was generated from the following file:

- include/etl/ratio.h